Bug 212205 - yum upgrade won't install signature verification keys
yum upgrade won't install signature verification keys
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-25 13:08 EDT by David Howells
Modified: 2014-01-21 17:55 EST (History)
0 users

See Also:
Fixed In Version: 3.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-25 14:34:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Howells 2006-10-25 13:08:47 EDT
Description of problem:

Attempting to do "yum upgrade" on a fresh FC5 installation results in yum 
exiting with this error:

...
Downloading Packages:
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 4f2a6fd2
Public key for glibc-devel-2.4-11.i386.rpm is not installed

Repeating the command gives the same error.

Doing a "yum install" of some package causes the keys to be installed and 
then "yum update" works thereafter.  Running "yum erase" doesn't cause the 
keys to be installed and so has no effect on "yum update".

Version-Release number of selected component (if applicable):

yum-2.6.0-1

How reproducible:


Steps to Reproduce:
1. Install FC5.
2. Run "yum update".
3. Run "yum install <some-package>".
4. Run "yum update" again.
  
Actual results:

Step 2 fails, but step 4 works (step 3 installs the keys).

Expected results:

Step 2 should work as well.
Comment 1 Seth Vidal 2006-10-25 13:27:42 EDT
Can you check this out on a more recent version of yum? either 3.0.X or even 2.6.1?

thanks

Note You need to log in before you can comment on or make changes to this bug.